# Method: liasettings.custombatch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#body.LiasettingsCustomBatchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#body.aspect)
- [LiasettingsCustomBatchRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchRequest.SCHEMA_REPRESENTATION)
- [LiasettingsCustomBatchRequestEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchRequestEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchRequestEntry.SCHEMA_REPRESENTATION)
- [LiasettingsCustomBatchResponseEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchResponseEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchResponseEntry.SCHEMA_REPRESENTATION)
- [GmbAccounts](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#GmbAccounts)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#GmbAccounts.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#try-it)

Retrieves and/or updates the LIA settings of multiple accounts in a single request.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/liasettings/batch`

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchResponseEntry`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchResponseEntry`)`` The result of the execution of the batch requests. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#liasettingsCustomBatchResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LiasettingsCustomBatchRequest

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchRequestEntry`) } ] } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#LiasettingsCustomBatchRequestEntry`)`` The request entries to be processed in the batch. |

## LiasettingsCustomBatchRequestEntry

| JSON representation |
|---|
| ``` { "batchId": integer, "merchantId": string, "method": string, "accountId": string, "country": string, "liaSettings": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaSettings`) }, "gmbEmail": string, "contactName": string, "contactEmail": string, "posDataProviderId": string, "posExternalAccountId": string, "omnichannelExperience": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaOmnichannelExperience`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` An entry ID, unique within the batch request. |
| `merchantId` | `string` The ID of the managing account. |
| `method` | `string` The method of the batch entry. Acceptable values are: - "`get`" - "`getAccessibleGmbAccounts`" - "`requestGmbAccess`" - "`requestInventoryVerification`" - "`setInventoryVerificationContact`" - "`update`" <br /> |
| `accountId` | `string` The ID of the account for which to get/update account LIA settings. |
| `country` | `string` The country code. Required only for RequestInventoryVerification. |
| `liaSettings` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaSettings`)`` The account Lia settings to update. Only defined if the method is `update`. |
| `gmbEmail` | `string` The Business Profile. Required only for RequestGmbAccess. |
| `contactName` | `string` pos.inventory validation contact name. Required only for SetInventoryValidationContact. |
| `contactEmail` | `string` pos.inventory validation contact email. Required only for SetInventoryValidationContact. |
| `posDataProviderId` | `string` The ID of POS data provider. Required only for SetPosProvider. |
| `posExternalAccountId` | `string` The account ID by which this merchant is known to the POS provider. |
| `omnichannelExperience` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaOmnichannelExperience`)`` The omnichannel experience for a country. Required only for SetOmnichannelExperience. |

## LiasettingsCustomBatchResponseEntry

| JSON representation |
|---|
| ``` { "batchId": integer, "liaSettings": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaSettings`) }, "errors": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`) }, "gmbAccounts": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#GmbAccounts`) }, "posDataProviders": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/PosDataProviders`) } ], "omnichannelExperience": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaOmnichannelExperience`) }, "kind": string } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of the request entry to which this entry responds. |
| `liaSettings` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaSettings`)`` The retrieved or updated Lia settings. |
| `errors` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`)`` A list of errors defined if, and only if, the request failed. |
| `gmbAccounts` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch#GmbAccounts`)`` The list of accessible Business Profiles. |
| `posDataProviders[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/PosDataProviders`)`` The list of POS data providers. |
| `omnichannelExperience` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaOmnichannelExperience`)`` The updated omnichannel experience for a country. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#liasettingsCustomBatchResponseEntry`" |

## GmbAccounts

| JSON representation |
|---|
| ``` { "accountId": string, "gmbAccounts": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/GmbAccountsGmbAccount`) } ] } ``` |

| Fields ||
|---|---|
| `accountId` | `string` The ID of the Merchant Center account. |
| `gmbAccounts[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/GmbAccountsGmbAccount`)`` A list of Business Profiles which are available to the merchant. |